{
  "schema_version": "1.4.0",
  "id": "GHSA-c7w3-fc53-mgrr",
  "modified": "2022-05-01T06:40:19Z",
  "published": "2022-05-01T06:40:19Z",
  "aliases": [
    "CVE-2006-0474"
  ],
  "details": "Multiple integer overflows in Shareaza 2.2.1.0 allow remote attackers to execute arbitrary code via (1) a large packet length field, which causes an overflow in the ReadBuffer function in (a) BTPacket.cpp and (b) EDPacket.cpp, or (2) a large packet, which causes a heap-based overflow in the Write function in (c) Packet.h.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-0474"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/24342"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/24343"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/24344"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/fulldisclosure/2006-01/0887.html"
    },
    {
      "type": "WEB",
      "url": "http://cvs.sourceforge.net/viewcvs.py/shareaza/shareaza/BTPacket.cpp?r1=1.5&r2=1.5.4.1"
    },
    {
      "type": "WEB",
      "url": "http://cvs.sourceforge.net/viewcvs.py/shareaza/shareaza/EDPacket.cpp?r1=1.15&r2=1.15.2.1"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/382"
    },
    {
      "type": "WEB",
      "url": "http://www.hustlelabs.com/shareaza_advisory.pdf"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/423293/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/16399"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-01-31T11:03:00Z"
  }
}